#!/bin/sh
# ALL RIGHTS RESERVED, COPYRIGHT (C) FUJITSU LIMITED 2007
#
#########################################################

if [ $(type -t cp) == "alias" ]
then
	unalias cp
fi

#DEBUG FLAG
#set -x
###########################
#ディレクトリの存在チェック
###########################
#/opt/FJSVfwaos/bin
###################
	if [ ! -d "/opt/FJSVfwaos/bin" ]
	then
		echo ERROR!! Systemwalker Centric Manger is not installed
		echo Not found /opt/FJSVfwaos/bin
		exit 1
	fi

#/etc/opt/FJSVfwaos/ccms
########################
	if [ -d "/etc/opt/FJSVfwaos" ]
	then
		if [ ! -d "/etc/opt/FJSVfwaos/ccms" ]
		then
			mkdir /etc/opt/FJSVfwaos/ccms
			chmod 700 /etc/opt/FJSVfwaos/ccms
		fi
	else
		echo ERROR!! Systemwalker Centric Manger is not installed
		echo Not founf /etc/opt/FJSVfwaos
		exit 2
	fi

#/var/opt/FJSVfwaos/ccms_trc
############################
	if [ -d "/var/opt/FJSVfwaos" ]
	then
		if [ ! -d "/var/opt/FJSVfwaos/ccms_trc" ]
		then
			mkdir /var/opt/FJSVfwaos/ccms_trc
			chmod 700 /var/opt/FJSVfwaos/ccms_trc
		fi
	else
		echo ERROR!! Systemwalker Centric Manger is not installed
		echo Not founf /var/opt/FJSVfwaos/ccms_trc
		exit 3
	fi

#########################
#ここからファイルをコピー
#########################
#実行モジュール
###############
	cp -f ./mp_aossap /opt/FJSVfwaos/bin/mp_aossap
	chmod 711 /opt/FJSVfwaos/bin/mp_aossap
	cp -f ./mp_aosconv /opt/FJSVfwaos/bin/mp_aosconv
	chmod 711 /opt/FJSVfwaos/bin/mp_aosconv

#定義ファイル
#############
	cp -f ./ccms.ini /etc/opt/FJSVfwaos/ccms/ccms.ini
	chmod 744 /etc/opt/FJSVfwaos/ccms/ccms.ini
	cp -f ./saprfc.ini /etc/opt/FJSVfwaos/ccms/saprfc.ini
	chmod 744 /etc/opt/FJSVfwaos/ccms/saprfc.ini
	cp -f ./mp_aossap.inf_utf8 /etc/opt/FJSVfwaos/ccms/mp_aossap.inf_utf8

#init.dへのコピー
#################
	cp -f ./mpaossap /etc/init.d
	chmod 711 /etc/init.d/mpaossap

#各ランレベルにリンク作成
#########################
	ln -s /etc/init.d/mpaossap /etc/rc.d/rc0.d/K99mpaossap
	ln -s /etc/init.d/mpaossap /etc/rc.d/rc1.d/K99mpaossap
	ln -s /etc/init.d/mpaossap /etc/rc.d/rc2.d/K99mpaossap
	ln -s /etc/init.d/mpaossap /etc/rc.d/rc6.d/K99mpaossap

	ln -s /etc/init.d/mpaossap /etc/rc.d/rc3.d/S99mpaossap
	ln -s /etc/init.d/mpaossap /etc/rc.d/rc4.d/S99mpaossap
	ln -s /etc/init.d/mpaossap /etc/rc.d/rc5.d/S99mpaossap

#dev_rfcファイル出力抑止のため
##############################
	touch ./dev_rfc
	chmod 000 ./dev_rfc

	echo Install success !!

	exit 0
